> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trade Item by Identifier

> Get a trade item by its identifier



## OpenAPI

````yaml /openapi.json get /trade-items/by-identifier/{identifier}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /trade-items/by-identifier/{identifier}:
    get:
      tags:
        - Trade Item
      summary: Get Trade Item by Identifier
      description: Get a trade item by its identifier
      operationId: getTradeItemByIdentifier
      parameters:
        - name: identifier
          required: true
          in: path
          description: >-
            The identifier of the trade item (format: {prefix}.{referenceNumber}
            or {prefix}.{referenceNumber}.{batchNumber})
          schema:
            type: string
      responses:
        '200':
          description: The trade item has been successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradeItem'
        '404':
          description: The trade item could not be found
components:
  schemas:
    TradeItem:
      type: object
      properties:
        id:
          type: string
          description: The id of the trade item
        name:
          type: string
          description: The name of the trade item
        tradeItemTag:
          description: The tag associated with the trade item
          allOf:
            - $ref: '#/components/schemas/TradeItemTag'
      required:
        - id
        - name
    TradeItemTag:
      type: object
      properties:
        id:
          type: string
          description: The id of the trade item tag
        code:
          type: string
          description: The code of the trade item tag, a unique identifier
        name:
          type: string
          description: The name of the trade item tag
        description:
          type: string
          description: The description of the trade item tag
        createdAt:
          format: date-time
          type: string
          description: The date and time the trade item tag was created
        updatedAt:
          format: date-time
          type: string
          description: The date and time the trade item tag was updated
        deleted:
          type: boolean
          description: Whether the trade item tag is deleted
        deletedAt:
          format: date-time
          type: string
          description: The date and time the trade item tag was deleted
      required:
        - id
        - code
        - name
        - description
        - createdAt
        - updatedAt
        - deleted
        - deletedAt

````